API Explorer 1 endpoints

Update My Api Collection By API_COLLECTION_ID

PUT /obp/v7.0.0/my/api-collections/API_COLLECTION_ID

OBPv5.1.0-updateMyApiCollection No role required Api-Collection

Update Api Collection for logged in user.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

API_COLLECTION_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh

JSON response body fields (5)
api_collection_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
api_collection_name
Favourites
description
Description of the object. Maximum length is 2000. It can be any characters here.
is_sharable
is_sharable
user_id
9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
Example request body
{
  "api_collection_name": "Favourites",
  "is_sharable": true,
  "description": "Description of the object. Maximum length is 2000. It can be any characters here."
}
Example success response
{
  "api_collection_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
  "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
  "api_collection_name": "Favourites",
  "is_sharable": true,
  "description": "Description of the object. Maximum length is 2000. It can be any characters here."
}
Possible errors (5)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-10001: Incorrect json format.
  • OBP-20057: User not found by userId.
  • OBP-30079: ApiCollection not found.
  • OBP-50000: Unknown Error.
Implemented by OBPv5.1.0 updateMyApiCollection Originally /obp/v5.1.0/my/api-collections/API_COLLECTION_ID